package observer;

import java.util.*;

public class Bee implements BreakfastTaker, BedtimeSleeper {
	private String name;
	private CloseObserver closeObsrv = new CloseObserver();

	public Bee(String nm) {
		name = nm;
	}
	public void breakfastTime() {
		System.out.println("Bee " + name + "'s breakfast time!");
	}
	public void bedtimeSleep() {
		System.out.println( "Bee " + name + "'s bed time!");
	}
	// Another inner class for closings:
	private class CloseObserver implements Observer{
		public void update(Observable ob, Object a) {
			//System.out.println( "Bee " + name + "'s bed time!");
			bedtimeSleep();
		}
	}
	public Observer closeObserver() { 
		return closeObsrv;
	}
}
