package observer;

import java.util.*;

public class Hummingbird implements BreakfastTaker, BedtimeSleeper {
	private String name;
	private CloseObserver closeObsrv = new CloseObserver();

	public Hummingbird(String nm) {
		name = nm;
	}
	public void breakfastTime() {
		System.out.println("Hummingbird " + name + "'s breakfast time!");
	}
	public void bedtimeSleep() {
		System.out.println("Hummingbird " + name + "'s bed time!");
	}
	private class CloseObserver implements Observer{
		public void update(Observable ob, Object a) {
			//System.out.println("Hummingbird " + name + "'s bed time!");
			bedtimeSleep();
		}
	}
	public Observer closeObserver() { 
		return closeObsrv;
	}
}
