/*
 * Created on 13/Mai/2004
 */
package observer;

import java.util.Observable;
/**
 * @author Miguel Pessoa Monteiro
 */
public aspect ObservingClose {
	private CloseNotifier Flower.cNotify = new CloseNotifier(this);
//	declare warning:
//		(get(CloseNotifier Flower.cNotify) ||
//		 set(CloseNotifier Flower.cNotify))
//		 && !within(ObservingClose):
//		 "Field Flower.cNotify is accessed outside ObservingClose.";
	public Observable Flower.closing() {
		return cNotify;
	}
	pointcut flowerOpen(Flower flower):
		execution(void open()) && this(flower);
	after(Flower flower) returning : flowerOpen(flower) {
		flower.cNotify.open();
	}
	pointcut flowerClose(Flower flower):
		execution(void close()) && this(flower);
	after(Flower flower): flowerClose(flower) {
		flower.cNotify.notifyObservers();		
	} 
	//private
	CloseObserver Bee.closeObsrv = new CloseObserver(this);
}
