package observer;
/*
 * An inner class for observing openings:
 */
import java.util.Observable;
import java.util.Observer;

public class OpenObserver implements Observer {
	private BreakfastTaker _enclosing;
	public OpenObserver(BreakfastTaker enclosing) {
		_enclosing = enclosing;
	}
	public void update(Observable ob, Object a) {
		_enclosing.breakfastTime();
	}
}
